Fix "must access using HTTPS" error on PyPi upload

If you get an error that looks like this when you try to upload a PyPi package:

Even though your .pypirc looks correct:

Then you probably want to use the "-r" parameter on the upload for "setuptools":